probe::nfs.aop.write_begin
Prev | Chapter 31. Network File Storage Tapsets | Next

## Name

probe::nfs.aop.write_begin — NFS client begin to write data

## Synopsis

    nfs.aop.write_begin

## Values

`ino`

  inode number

`page_index`

  offset within mapping, can used a page identifier and position identifier in the page frame

`dev`

  device identifier

`offset`

  start address of this write operation

`__page`

  the address of page

`to`

  end address of this write operation

`size`

  write bytes

## Description

Occurs when write operation occurs on nfs. It prepare a page for writing, look for a request corresponding to the page. If there is one, and it belongs to another file, it flush it out before it tries to copy anything into the page. Also do the same if it finds a request from an existing dropped page

Prev | Up | Next
probe::nfs.aop.set_page_dirty | Home | probe::nfs.aop.write_end